package de.unisaar.jfap.ex5.task3;

import static org.assertj.core.api.Assertions.assertThat;

import java.io.IOException;
import java.nio.file.Paths;
import org.junit.jupiter.api.Test;

class DirFinderTest {

  @Test
  void testFindWithDemo() throws IOException {
    Directory dirToDelete =
        DirFinder.findDirToDelete(
            Paths.get("src/test/data/dir-finder-demo.txt"), 90_000_000, 60_000_000);
    assertThat(dirToDelete.getSize()).isEqualTo(24_933_642);
    assertThat(dirToDelete.getPath()).isEqualTo("/d");
  }

  @Test
  void testFind() throws IOException {
    Directory dirToDelete =
        DirFinder.findDirToDelete(
            Paths.get("src/test/data/dir-finder.txt"), 90_000_000, 60_000_000);
    System.out.println(dirToDelete);
    assertThat(dirToDelete.getSize()).isEqualTo(15_542_173);
    assertThat(dirToDelete.getPath()).isEqualTo("/sfb/jrcgrvp/sqtj");
  }
}
